
<?php if( !$postchi_token ) : ?>
<!-- Not Logged In Message -->
<div class="pws-container pws-alarm">
    <div class="dashicons dashicons-info"></div>
    <div class="text-justify">
       برای استفاده از پلاگین میبایست در 
        <a href="https://postchi.app/" target="_blank">سامانه پستچی</a>
        <a href="https://m.postchi.app/login" target="_blank"><b>ثبت نام</b></a>
        کنید و سپس با وارد کردن اطلاعات کاربری خود از برقراری ارتباط با این سامانه اطمینان حاصل کنید. 
    </div>               
</div>
<!-- End: Not Logged In Message -->
<?php endif; ?>

<!-- User Data -->
<div class="pws-row">
    <!-- Login -->
    <div class="col-5">
        <div class="pl-15p">
            <div class="pws-container-title">
                <div class="title-text">اتصال به سامانه پستچی</div>
                <div class="dashicons dashicons-lock"></div>                         
            </div>
            <div class="pws-container h-200p">
                <div>
                    در صورتی که در
                    <a href="https://postchi.app/" target="_blank">پستچی</a>
                    ثبت نام کرده اید، اطلاعات خود را وارد کنید.
                </div>
                <br />
                <table class="pws-form-table">
                    <tr>
                        <th>
                            <label for="pws_username">نام کاربری (موبایل)</label>
                        </th>
                        <td>
                            <input type="text" id="pws_username" name="postchi_woo_shipping_opts[postchi_username]" value="<?php echo $postchi_username; ?>" placeholder="نام کاربری" />
                        </td>
                    </tr>
                    <tr>
                        <th>
                            <label for="pws_password">رمز عبور</label>
                        </th>
                        <td>
                            <input type="password" id="pws_password" name="postchi_woo_shipping_opts[postchi_password]" value="<?php echo $postchi_password; ?>" placeholder="رمز عبور" />
                        </td>
                    </tr>
                </table>
                <?php 
                    submit_button( 'اتصال به سامانه پستچی', '', '', false, array( 'id' => 'pws-login-btn' ) );
                ?>
            </div>
        </div>
    </div>
    <!-- End: Login -->
    <!-- user info -->
    <div class="col-5">     
        <div class="pws-container-title">
            <div class="title-text">اطلاعات کاربری</div>
            <div class="dashicons dashicons-admin-users"></div>                            
        </div>
        <div class="pws-container h-200p">
            <table class="pws-user-info">

                <tr>
                    <th> نام و نام خانوادگی</th>
                    <td><?php echo $postchi_user->user->full_name ? $postchi_user->user->full_name : "-"; ?></td>
                </tr>
                <tr>
                    <th>ایمیل</th>
                    <td><?php echo $postchi_user->user->email ? $postchi_user->user->email : "-"; ?></td>
                </tr>
                <tr>
                    <th>کد کاربری</th>
                    <td><?php echo $postchi_user->user->user_no ? $postchi_user->user->user_no : "-"; ?></td>
                </tr>
                <!-- <tr>
                    <th>موجودی کیف پول شما</th>
                    <td>
                        
                            if($postchi_user->Username)
                            {
                                $walletResult = Postbar_API::getWalletChargeRate($postchi_user->Username);
                                if($walletResult->success)
                                {
                                    $WalletChargeRate = $walletResult->data->walletChargeRate . " ریال";
                                }
                                else
                                {
                                    $WalletChargeRate = "-";
                                }
                                echo $WalletChargeRate; 
                            }
                            else
                            {
                                echo "-";
                            }
                    
                    </td>
                </tr> -->
            </table>
        </div>
    </div>
    <!-- End: user info -->                
</div>            
<!-- User Data -->