<?php


/***** Get States HTML *****/
function postchiStatesHTML($selected_StateId = 1)
{
$postchi = new Postbar_API;


    $states = $postchi->getState();
    $statesHTML = "";
    if($states->success)
    {
        $regions = $states->data->region;

        foreach($regions as $state)
        {
            $selected = $selected_StateId == $state->fld_Region_No ? "selected" : "";
            $statesHTML .= "<option value='".$state->fld_Region_No."' $selected>".$state->fld_Region_Name."</option>";
        }
    }

    return $statesHTML;
}
/***** End: Get States HTML *****/

/***** Woo State Options arrray *****/
function postchiWooStateOptions($isDisabled)
{
    $states = Postbar_API::getState();
    if($states->success)
    {
        foreach($states->data->region as $state)
        {
            // print_r($state);
            // exit();
            // die();
            if($isDisabled)
            {
                if($state->fld_Region_No == WC()->session->get( 'postchi_reciever_stateId', 0 ))
                    $state_options[$state->fld_Region_No] = $state->fld_Region_Name;
            }
            else
            {
                $state_options[$state->fld_Region_No] = $state->fld_Region_Name;
            }
        }
    }        
    else
    {
        $state_options = array(
            ''	=> 'عدم ارتباط با سامانه باربری'
        );
    }

    return $state_options;
}
/***** End: Woo State Options arrray *****/



// TOWN :

/***** Get Towns of State HTML *****/
function postchiStateTownsHTML($selected_townId = '' , $stateId = '')
{
    if(!$stateId)
    {
        $stateId = 1;
    }
    $towns = new Postbar_API;
    
    $towns = $towns->getTownsByStateId($stateId);

    $townsHTML = "";
    if($towns->success)
    {
        foreach($towns->data as $town)
        {
            $selected = $selected_townId == $town->fld_City_No ? "selected" : "";
            $townsHTML .= "<option value='".$town->fld_City_No."' $selected>".$town->fld_Code."</option>";
        }
    }

    return $townsHTML;
}


function termsAndConditions()
{

    $postchi = new Postbar_API;
    
    $postchi = $postchi->getTermsAndConditions();

    $termHTML = "";
    if($postchi->success)
    {
            $termHTML .= $postchi->data->terms;
    }

    return $termHTML;
}
/***** End: Get Towns of State HTML *****/

/***** Ajax Get Towns Of State *****/
add_action( 'wp_ajax_ajaxPostbarStateTownsHTML', 'ajaxPostbarStateTownsHTML' );
add_action( 'wp_ajax_nopriv_ajaxPostbarStateTownsHTML', 'ajaxPostbarStateTownsHTML' );
function ajaxPostbarStateTownsHTML() 
{
    check_ajax_referer( 'nonce-ajaxPostbarStateTownsHTML', 'security' );
    $stateId = $_POST['stateId'] ? intval($_POST['stateId']) : '';
    $townsHTML = postchiStateTownsHTML('' , $stateId);
    
    echo $townsHTML;

	die();
}
/***** End: Ajax Get Towns Of State *****/

/***** Woo Town Options arrray *****/
function postchiWooTownOptions($isDisabled, $stateId)
{
    $towns = Postbar_API::getTownsByStateId($stateId);
    if($towns->success)
    {
        foreach($towns->data as $town)
        {
            if($isDisabled)
            {
                if( $town->fld_City_No == WC()->session->get( 'postchi_reciever_townId', 0 ) )
                    $town_options[$town->fld_City_No] = $town->fld_Code;
            }
            else
            {
                $town_options[$town->fld_City_No] = $town->fld_Code;
            }
        }
    }        
    else
    {
        $town_options = array(
            ''	=> 'عدم ارتباط با سامانه باربری'
        );
    }

    return $town_options;
}
/***** End: Woo Town Options arrray *****/



// SERVICES : 

/***** Get Services HTML *****/
function postchiServicesHTML($receiverStateId, $receiverTownId, $listType, $selected_ServiceId, $is_COD)
{    
    // Sender    
    $senderStateId = get_option('postchi_woo_shipping_opts')["Sender_StateId"] ? get_option('postchi_woo_shipping_opts')["Sender_StateId"] : 1;
    $senderTownId = get_option('postchi_woo_shipping_opts')["Sender_townId"] ? get_option('postchi_woo_shipping_opts')["Sender_townId"] : 779;
    $boxType = get_option('postchi_woo_shipping_opts')["boxType"] ? get_option('postchi_woo_shipping_opts')["boxType"] : "1";
    
    // wieght
    $weight_unit = get_option('woocommerce_weight_unit');
    $cart_weight = WC()->cart->cart_contents_weight;
    // if( $weight_unit == 'kg' )
    // {
    //     $cart_weight = $cart_weight * 1000;
    // } 
    // if( $cart_weight == 0 )
    // {
    //     $cart_weight=100;
    // }

    // AproximateValue
    $current_currency = get_woocommerce_currency();
    $AproximateValue = WC()->cart->subtotal;
    if ($current_currency =='IRT') {
        $AproximateValue = $AproximateValue * 10;
    } elseif ($current_currency =='IRHT'){
        $AproximateValue = $AproximateValue * 10000;
    }

    $data_array = array(
        //فروشنده
        'ListType' => $listType, //req 0=all, 1=Fastest, 2=cheapest
        'senderStateId' => $senderStateId, //req 1=تهران
        'origin' => $senderTownId, //req 779=تجریش
        'boxType' => $boxType,  // 0 = pakat , 1 = baste
    
        //خریدار
        'receiver_ForeginCountry' => 0,  // اجباری در پست خارجی
        'receiverStateId' => $receiverStateId, //req expt external
        'destination' => $receiverTownId, //req expt external
    
        //کالا
        'weight' => $cart_weight, //req گرم
        'value' => $AproximateValue, // ریال
        'height' => 10, // req if external
        'width' => 10, // req if external
        'length' => 10, // req if external
        'Content' => '',
    
        //حمل و نقل سنگین
        'dispatch_date' => '', //req if heavy تاریخ و ساعت بارگیری
        'TruckType' => '', //req if heavy نوع خودرو
        'VechileOptions' => '', //req if heavy ویژگی خودرو
        'PackingLoad' => '', //req if heavy نوع بسته بندی بار    

        'service' => 1,
        'IsCOD' => $is_COD
    );
    $Services = Postbar_API::getServices($data_array);

    $ServicesHTML = "";

    if($Services->success && is_array($Services->data))
    {
        if(count($Services->data) > 0)
        {
            // Set Default Service
            $has_matchable_service = false;
            foreach($Services->data as $Service)
            {
                if($Service->code == $selected_ServiceId)
                {
                    $has_matchable_service = true;
                }
            }
            if(!$has_matchable_service)
            {
                $selected_ServiceId = $Services->data[0]->code;
                if(!WC()->session->get( 'postchi_UserSelected_ServiceId', "chapar" ))
                {
                    WC()->session->set("postchi_UserSelected_ServiceId", $Services->data[0]->code );
                    WC()->session->set("postchi_UserSelected_ServicePrice", $Services->data[0]->price->fld_Total_Cost );
                    WC()->session->set("postchi_UserSelected_ServiceTitle", $Services->data[0]->name );
                }
            }

            $formatter = NumberFormatter::create("fa_IR", NumberFormatter::DEFAULT_STYLE);

            foreach($Services->data as $Service)
            {

                $selected = $selected_ServiceId == $Service->code ? "checked" : "";
                $ServicesHTML .= "
                    <div class='shipping-row'>
                        <div class='shipping-selection'>
                            <input type='radio' name='postchi_UserSelected_ServiceId' 
                                    value='$Service->code' 
                                    data-price='$Service->quote' 
                                    data-title='$Service->name' 
                                    $selected />
                        </div>
                        <div class='shipping-details'>
                        <div class='details-item'>
                        <span class='value'>
                        <img src='$Service->logo' />
                        </span>
                    </div>
                            <div class='details-item'>
                                <span class='label'>نام سرویس : </span>
                                <span class='value'>$Service->name</span>
                            </div>
                            <div class='details-item'>
                                <span class='label'>مدت زمان ارسال (روز) : </span>
                                <span class='value'></span>
                            </div>
                            <div class='details-item'>
                                <span class='label'>قیمت (ریال) : </span>
                                <span class='value woocommerce-Price-amount amount'><bdi>" . $formatter->format($Service->quote) . "</bdi></span>

                            </div>
                        </div>
                    </div>
                ";
            }
        }
        else
        {
            $ServicesHTML = '<div>با توجه با مقادیر ورودی شما، سرویسی یافت نشد.</div>';
        }
    }
    else
    {
        $ServicesHTML = '<div>مشکل در برقراری ارتباط با سامانه باربری، لطفا بعدا مجدد تلاش کنید.</div><br>' . $Services->errors;
    }

    return $ServicesHTML;
}
/***** End: Get Services HTML *****/

/***** Ajax Get Services HTML *****/
add_action( 'wp_ajax_ajaxPostbarServicesHTML', 'ajaxPostbarServicesHTML' );
add_action( 'wp_ajax_nopriv_ajaxPostbarServicesHTML', 'ajaxPostbarServicesHTML' );
function ajaxPostbarServicesHTML()
{
    check_ajax_referer( 'nonce-ajaxPostbarServicesHTML', 'security' );

    $postchi_reciever_stateId = $_POST["postchi_reciever_stateId"] ? intval($_POST["postchi_reciever_stateId"]) : get_option('postchi_woo_shipping_opts')["reciver_default_stateId"];
    $postchi_reciever_townId = $_POST["postchi_reciever_townId"] ? intval($_POST["postchi_reciever_townId"]) : get_option('postchi_woo_shipping_opts')["reciver_default_townId"];    
    $postchi_reciever_listType = get_option('postchi_woo_shipping_opts')["ListTypeSelectable"] ? intval($_POST["postchi_reciever_listType"]) : get_option('postchi_woo_shipping_opts')["ListType"];
    $postchi_UserSelected_ServiceId = $_POST["postchi_UserSelected_ServiceId"] ? intval($_POST["postchi_UserSelected_ServiceId"]) : '';
    if($_POST["postchi_IsCOD"])
    {
        $postchi_IsCOD =  wp_kses($_POST["postchi_IsCOD"] , array());
    }
    else
    {
        $postchi_IsCOD =  enabled_payments()->singleEnabled === 'cod' ? 'true' : 'false';
    }

    $servicesHTML = postchiServicesHTML($postchi_reciever_stateId, $postchi_reciever_townId, $postchi_reciever_listType, $postchi_UserSelected_ServiceId, $postchi_IsCOD);
    
    echo $servicesHTML;

	die();
}
/***** End: Ajax Get Services HTML *****/

/***** Admin Services Html *****/
add_action( 'wp_ajax_ajaxAdminPostbarServicesHTML', 'ajaxAdminPostbarServicesHTML' );
add_action( 'wp_ajax_nopriv_ajaxAdminPostbarServicesHTML', 'ajaxAdminPostbarServicesHTML' );
function ajaxAdminPostbarServicesHTML()
{
    check_ajax_referer( 'nonce-ajaxAdminPostbarServicesHTML', 'security' );

    $selected_ServiceId = $_POST["selected_ServiceId"] ? $_POST["selected_ServiceId"] : "chapar";
    $data_array = array(
        //فروشنده
        'ListType' => intval($_POST["ListType"]),

        'region' => intval($_POST["senderStateId"]),
        'origin' => intval($_POST["senderTownId"]),
        'boxType' => intval($_POST["boxType"]),
    
        //خریدار
        'receiver_ForeginCountry' => intval($_POST["receiver_ForeginCountry"]),
        'receiverStateId' => intval($_POST["receiverStateId"]),
        'destination' => intval($_POST["receiverTownId"]),
    
        //کالا
        'weight' => intval($_POST["weightItem"]),
        'value' =>  5000000, //intval($_POST["AproximateValue"]),
        'height' => $_POST["height"] ? intval($_POST["height"]) : 5,
        'width' => $_POST["width"] ? intval($_POST["width"]) : 5,
        'length' => $_POST["length"] ? intval($_POST["length"]) : 5,
        'Content' => wp_kses($_POST["Content"] , array()),
    
        //حمل و نقل سنگین
        'dispatch_date' => '',
        'TruckType' => '',
        'VechileOptions' => '',
        'PackingLoad' => '',
        'service' => 1,
        'IsCOD' => wp_kses($_POST["IsCOD"] , array())
    );
    $Services = Postbar_API::getServices($data_array);

    $ServicesHTML = '';
    if($Services->success)
    {
        if(count($Services->data) > 0)
        {
            foreach($Services->data as $Service)
            {
                $selected = $selected_ServiceId == $Service->code ? "checked" : "";
                $ServicesHTML .= "
                    <div class='shipping-row'>
                        <div class='shipping-selection'>
                            <input type='radio' name='ServiceId' 
                                    value='$Service->code' 
                                    $selected />
                        </div>
                        <div class='shipping-details'>
                            <div class='details-item'>
                                <span class='label'>نام سرویس : </span>
                                <span class='value'>$Service->name</span>
                            </div>
                            <div class='details-item'>
                                <span class='label'>مدت زمان ارسال (روز) : </span>
                                <span class='value'>$Service->transit_time</span>
                            </div>
                            <div class='details-item'>
                                <span class='label'>قیمت (ریال) : </span>
                                <span class='value'>$Service->quote</span>
                            </div>
                        </div>
                    </div>
                ";
            }
        }
        else
        {
            $ServicesHTML = '<div>با توجه با مقادیر ورودی شما، سرویسی یافت نشد.</div>';
        }        
    }
    else
    {
        $ServicesHTML = '<div>مشکل در برقراری ارتباط با سامانه باربری، لطفا بعدا مجدد تلاش کنید.</div>' . $Services->errors . print_r($Services);
    }
    
    echo $ServicesHTML;

	die();
}
/***** End: Admin Services Html *****/

/***** Set Default Service for first time *****/
function setDefaultServiceSession()
{
    // Sender    
    $senderStateId = get_option('postchi_woo_shipping_opts')["Sender_StateId"] ? get_option('postchi_woo_shipping_opts')["Sender_StateId"] : 1;
    $senderTownId = get_option('postchi_woo_shipping_opts')["Sender_townId"] ? get_option('postchi_woo_shipping_opts')["Sender_townId"] : 779;
    $boxType = get_option('postchi_woo_shipping_opts')["boxType"] ? get_option('postchi_woo_shipping_opts')["boxType"] : "1";
    
    // wieght
    $weight_unit = get_option('woocommerce_weight_unit');
    $cart_weight = WC()->cart->cart_contents_weight;
    // if( $weight_unit == 'kg' )
    // {
    //     $cart_weight = $cart_weight * 1000;
    // } 
    // if( $cart_weight == 0 )
    // {
    //     $cart_weight=100;
    // }

    // AproximateValue
    $current_currency = get_woocommerce_currency();
    $AproximateValue = WC()->cart->subtotal;
    if ($current_currency =='IRT') {
        $AproximateValue = $AproximateValue * 10;
    } elseif ($current_currency =='IRHT'){
        $AproximateValue = $AproximateValue * 10000;
    }
    
    // Receiver
    $listType = get_option('postchi_woo_shipping_opts')["ListType"];
    $receiverStateId = get_option('postchi_woo_shipping_opts')["reciver_default_stateId"] ? get_option('postchi_woo_shipping_opts')["reciver_default_stateId"] : 1;
    $receiverTownId = get_option('postchi_woo_shipping_opts')["reciver_default_townId"] ? get_option('postchi_woo_shipping_opts')["reciver_default_townId"] : 779;
    $enabled_payments = enabled_payments();
    if( $enabled_payments->bothEnabled )
    {
        $is_COD = 'false';
    }
    else
    {
        $is_COD = $enabled_payments->singleEnabled == 'cod' ? 'true' : 'false';
    }

    $data_array = array(
        //فروشنده
        'ListType' => $listType, //req 0=all, 1=Fastest, 2=cheapest
        'senderStateId' => $senderStateId, //req 1=تهران
        'origin' => $senderTownId, //req 779=تجریش
        'boxType' => $boxType,  // 0 = pakat , 1 = baste
    
        //خریدار
        'receiver_ForeginCountry' => 0,  // اجباری در پست خارجی
        'receiverStateId' => $receiverStateId, //req expt external
        'destination' => $receiverTownId, //req expt external
    
        //کالا
        'weight' => $cart_weight, //req گرم
        'value' => $AproximateValue, // ریال
        'height' => 10, // req if external
        'width' => 10, // req if external
        'length' => 10, // req if external
        'Content' => '',
    
        //حمل و نقل سنگین
        'dispatch_date' => '', //req if heavy تاریخ و ساعت بارگیری
        'TruckType' => '', //req if heavy نوع خودرو
        'VechileOptions' => '', //req if heavy ویژگی خودرو
        'PackingLoad' => '', //req if heavy نوع بسته بندی بار    

        'service' => 1,
        'IsCOD' => $is_COD
    );
    $Services = Postbar_API::getServices($data_array);

    if($Services->result == true)
    {
        WC()->session->set("postchi_UserSelected_ServiceId", $Services->data[0]->code );
        WC()->session->set("postchi_UserSelected_ServicePrice", $Services->data[0]->quote );
        WC()->session->set("postchi_UserSelected_ServiceTitle", $Services->data[0]->name );
    }
}
/***** End: Set Default Service for first time *****/



// INSURANCE : 

/***** Get Insurance HTML *****/
function postchiInsurancesHTML($selected_InsuranceId = '', $serviceId)
{
    $Insurances = Postbar_API::getInsuranceList($serviceId);
    $InsurancesHTML = "";
    if($Insurances->success)
    {
        foreach($Insurances->data->data as $Insurance)
        {
            $selected = $selected_InsuranceId == $Insurance->Id ? "selected" : "";
            $InsurancesHTML .= "<option value='".$Insurance->Id."' $selected>".$Insurance->Name."</option>";
        }
    }

    return $InsurancesHTML;
}
/***** End: Get Insurance HTML *****/

/***** Ajax Get Insurance HTML *****/
add_action( 'wp_ajax_ajaxPostbarInsurancesHTML', 'ajaxPostbarInsurancesHTML' );
add_action( 'wp_ajax_nopriv_ajaxPostbarInsurancesHTML', 'ajaxPostbarInsurancesHTML' );
function ajaxPostbarInsurancesHTML() 
{
    check_ajax_referer( 'nonce-ajaxPostbarInsurancesHTML', 'security' );
    $serviceId = $_POST['serviceId'] ? $_POST['serviceId'] : 0;
    $InsurancesHTML = postchiInsurancesHTML('' , $serviceId);
    
    echo $InsurancesHTML;

	die();
}
/***** End: Ajax Get Insurance HTML *****/

/***** Woo Insurance Options arrray *****/
function postchiWooInsuranceOptions($serviceId)
{
    $Insurances = Postbar_API::getInsuranceList($serviceId);
    if($Insurances->success)
    { 
        foreach($Insurances->data->data as $Insurance)
        {
            $Insurance_options[$Insurance->Id] = $Insurance->Name;
        }
    }        
    else
    {
        $Insurance_options = array(
            ''	=> 'عدم ارتباط با سامانه باربری'
        );
    }

    return $Insurance_options;
}
/***** End: Woo Insurance Options arrray *****/



// CARTONSIZE : 

/***** Get CartonSize HTML *****/
function postchiCartonSizeHTML($selected_CartonSizeId = '', $serviceId)
{
    $CartonSizes = Postbar_API::getCartonSizeList($serviceId);
    $CartonSizeHTML = "";
    if($CartonSizes->success)
    {
        foreach($CartonSizes->data->data as $CartonSize)
        {
            $selected = $selected_CartonSizeId == $CartonSize->Id ? "selected" : "";
            $CartonSizeHTML .= "<option value='".$CartonSize->Id."' $selected>".$CartonSize->Name."</option>";
        }
    }

    return $CartonSizeHTML;
}
/***** End: Get CartonSize HTML *****/

/***** Ajax Get CartonSize HTML *****/
add_action( 'wp_ajax_ajaxPostbarCartonSizeHTML', 'ajaxPostbarCartonSizeHTML' );
add_action( 'wp_ajax_nopriv_ajaxPostbarCartonSizeHTML', 'ajaxPostbarCartonSizeHTML' );
function ajaxPostbarCartonSizeHTML() 
{
    check_ajax_referer( 'nonce-ajaxPostbarCartonSizeHTML', 'security' );
    $serviceId = $_POST['serviceId'] ? $_POST['serviceId'] : 0;
    $CartonSizeHTML = postchiCartonSizeHTML('' , $serviceId);
    
    echo $CartonSizeHTML;

	die();
}
/***** End: Ajax Get CartonSize HTML *****/



// NEW ORDER : 

/***** Set Order In Postchi *****/
add_action( 'wp_ajax_ajaxPostbarNewOrder', 'ajaxPostbarNewOrder' );
add_action( 'wp_ajax_nopriv_ajaxPostbarNewOrder', 'ajaxPostbarNewOrder' );
function ajaxPostbarNewOrder()
{
    if( current_user_can('editor') || current_user_can('administrator') )
    {
        check_ajax_referer( 'nonce-ajaxPostbarNewOrder', 'security' );

        //فروشنده
        $Sender_FristName = wp_kses($_POST["Sender_FristName"] , array());
        $Sender_LastName = wp_kses($_POST["Sender_LastName"] , array());
        $Sender_mobile = wp_kses($_POST["Sender_mobile"] , array());
        $Sender_StateId = $_POST["Sender_StateId"] ? intval($_POST["Sender_StateId"]) : 0;
        $Sender_townId = $_POST["Sender_townId"] ? intval($_POST["Sender_townId"]) : 0;
        $Sender_City = wp_kses($_POST["Sender_City"] , array());
        $Sender_PostCode = wp_kses($_POST["Sender_PostCode"] , array());
        $Sender_Address = wp_kses($_POST["Sender_Address"] , array());
        $Sender_Email = sanitize_email($_POST["Sender_Email"]);
        $SenderLat = wp_kses($_POST["SenderLat"] , array());
        $SenderLon = wp_kses($_POST["SenderLon"] , array());
        $InsuranceName = wp_kses($_POST["InsuranceName"] , array());
        $CartonSizeName = wp_kses($_POST["CartonSizeName"] , array());
        $boxType = intval($_POST["boxType"]);
        $HasAccessToPrinter = rest_sanitize_boolean($_POST["HasAccessToPrinter"]);
        $AgentSaleAmount = intval($_POST["AgentSaleAmount"]);
        $printLogo = rest_sanitize_boolean($_POST["printLogo"]);
        $notifBySms = rest_sanitize_boolean($_POST["notifBySms"]);
        $discountCouponCode = wp_kses($_POST["discountCouponCode"] , array());

        //خریدار
        $ServiceId = $_POST["ServiceId"] ? $_POST["ServiceId"] : "chapar";
        $Reciver_FristName = wp_kses($_POST["Reciver_FristName"] , array());
        $Reciver_LastName = wp_kses($_POST["Reciver_LastName"] , array());
        $Reciver_mobile = wp_kses($_POST["Reciver_mobile"] , array());
        $receiver_ForeginCountry = intval($_POST["receiver_ForeginCountry"]);
        $receiver_ForeginCountryName = wp_kses($_POST["receiver_ForeginCountryName"] , array());
        $Reciver_StateId = $_POST["Reciver_StateId"] ? intval($_POST["Reciver_StateId"]) : 0;
        $Reciver_townId = $_POST["Reciver_townId"] ? intval($_POST["Reciver_townId"]) : 0;
        $Reciver_City = wp_kses($_POST["Reciver_City"] , array());
        $Reciver_PostCode = wp_kses($_POST["Reciver_PostCode"] , array());
        $Reciver_Address = wp_kses($_POST["Reciver_Address"] , array());
        $Reciver_Email = sanitize_email($_POST["Reciver_Email"]);
        $IsCOD = wp_kses($_POST["IsCOD"] , array());

        //کالا
        $GoodsType = wp_kses($_POST["GoodsType"] , array());
        $ApproximateValue = $_POST["ApproximateValue"] ? intval($_POST["ApproximateValue"]) : 0;
        $CodGoodsPrice = $_POST["CodGoodsPrice"] ? intval($_POST["CodGoodsPrice"]) : 0;
        $Weight = $_POST["Weight"] ? intval($_POST["Weight"]) : 100;
        $length = $_POST["length"] ? intval($_POST["length"]) : 0;
        $width = $_POST["width"] ? intval($_POST["width"]) : 0;
        $height = $_POST["height"] ? intval($_POST["height"]) : 0;
        $Count = $_POST["Count"] ? intval($_POST["Count"]) : 1;

        //حمل و نقل سنگین 
        $UbbraTruckType = wp_kses($_POST["UbbraTruckType"] , array());
        $VechileOptions = wp_kses($_POST["VechileOptions"] , array());
        $UbbarPackingLoad = wp_kses($_POST["UbbarPackingLoad"] , array());
        $dispatch_date = wp_kses($_POST["dispatch_date"] , array());

        //plugin Data
        $PostchiShipping = new PostchiShipping;
        $plugin_version = $PostchiShipping->plugin_version;
        $woo_post_id = $_POST["woo_post_id"] ? intval($_POST["woo_post_id"]) : 1;


        $data_array = array(
            "sender" => array(
                "country" => "249",
                "region" => $Sender_StateId,
                "city" => $Sender_townId,
                "address" => $Sender_Address,
                "number" => "",
                "floor" => "",
                "postcode"=> $Sender_PostCode,
                "name" => $Sender_FristName . " " . $Sender_LastName,
                "geo" => array(
                    "lat" => $SenderLat,
                    "lng" => $SenderLon
                )
            ),
            "receiver" => array(
                "country" => "249",
                "region" => $Reciver_StateId,
                "city" => $Reciver_townId,
                "address" => $Reciver_Address,
                "number" => "",
                "floor" => "",
                "postcode"=> $Reciver_PostCode,
                "mobile"=> $Reciver_mobile,
                "name" => $Reciver_FristName . " " . $Reciver_LastName,
                "geo" => array(
                    "lat" => $SenderLat,
                    "lng" => $SenderLon
                )
            ),

            "package" => array(
                "courier" => $ServiceId,
                "origin" => $Sender_townId,
                "destination" => $Reciver_townId,
                "weight" => $Weight,
                "width" => $width,
                "height" => $height,
                "length" => $length,
                "value" => 5000000,
                "Count" => $Count,
                "service" => 1,
                "content" => $GoodsType,
                "ApproximateValue" => $ApproximateValue,
                "CodGoodsPrice" => $CodsGoodsPrice
            ),

            
            //فروشنده
            // "Sender_FristName" => $Sender_FristName,
            // "Sender_LastName" => $Sender_LastName,
            // "Sender_mobile" => $Sender_mobile,
            // "Sender_StateId" => $Sender_StateId,
            // "Sender_townId" => $Sender_townId,
            // "Sender_City" => $Sender_City,
            // "Sender_PostCode" => $Sender_PostCode,
            // "Sender_Address" => $Sender_Address,
            // "Sender_Email" => $Sender_Email,
            // "SenderLat" => $SenderLat,
            // "SenderLon" => $SenderLon,
            // "InsuranceName" => $InsuranceName,
            // "CartonSizeName" => $CartonSizeName,
            // "boxType" => $boxType,
            // "HasAccessToPrinter" => $HasAccessToPrinter,
            // "AgentSaleAmount" => $AgentSaleAmount,
            // "printLogo" => $printLogo,
            // "notifBySms" => $notifBySms,
            // 'discountCouponCode' => $discountCouponCode,

            // //خریدار
            // "ServiceId" => $ServiceId,
            // "Reciver_FristName" => $Reciver_FristName,
            // "Reciver_LastName" => $Reciver_LastName,
            // "Reciver_mobile" => $Reciver_mobile,
            // "receiver_ForeginCountry" => $receiver_ForeginCountry,
            // "receiver_ForeginCountryName" => $receiver_ForeginCountryName,
            // "Reciver_StateId" => $Reciver_StateId,
            // "Reciver_townId" => $Reciver_townId,
            // "Reciver_City" => $Reciver_City,
            // "Reciver_PostCode" => $Reciver_PostCode,
            // "Reciver_Address" => $Reciver_Address,
            // "Reciver_Email" => $Reciver_Email,
            // "ReciverLat" => "",
            // "ReciverLon" => "",
            // "IsCOD" => $IsCOD,

            // //کالا
            // "GoodsType" => $GoodsType,
            // "ApproximateValue" => $ApproximateValue,
            // "CodGoodsPrice" => $CodGoodsPrice,
            // "weight" => $Weight,
            // "length" => $length,
            // "width" => $width,
            // "height" => $height,
            // "Count" => $Count,

            // //حمل و نقل سنگین    
            // "UbbraTruckType" => $UbbraTruckType,
            // "VechileOptions" => $VechileOptions,
            // "UbbarPackingLoad" => $UbbarPackingLoad,
            // "dispatch_date" => $dispatch_date,

            // // اطلاعات پلاگین
            "domainName" => $_SERVER['SERVER_NAME'],
            "pluginType" => "woocommerce",
            "pluginVersion" => $plugin_version,
            "refrenceNo" => $woo_post_id
        );

            // print_r($data_array);
            // die();


        $result = Postbar_API::newOrder($data_array);

        if($result->success)
        {
            if($result->data->tracking)
            {
                if( get_post_meta( $woo_post_id, 'postchi_orderId', true ) )
                {
                    update_post_meta( $woo_post_id, 'postchi_orderId', $result->data->tracking );
                }
                else
                {
                    add_post_meta( $woo_post_id, 'postchi_orderId', $result->data->tracking, true );
                }
                
                echo json_encode(array(
                    'status' => 'success',
                    'message'=> $result->errors,
                    'orderId'=> $result->data->tracking,
                    'site_url'=> site_url(),
                    'token'=> Postbar_API::getToken(),
                ));
            }
            else
            {
                echo json_encode(array(
                    'status' => 'error',
                    'message'=> $result->errors
                ));
            }
        }
        else
        {
            echo json_encode(array(
                'status' => 'error',
                'message'=> 'خطا در ارسال داده ها مجددا تلاش کنید.'
            ));
        } 
    } // End check if user has approprate role

    die();
}
/***** End: Set Order In Postchi *****/